DB->get_partition_keys()
Prev | Chapter 2. The DB Handle | Next

## DB->get_partition_keys()

    #include <db.h>

    int
    DB->get_partition_keys(DB *db, u_int32_t *partsp, DBT *keysp);

The `DB->get_partition_keys()` method returns the partitioning information as set by the DB->set_partition() method.

The `DB->get_partition_keys()` method may be called at any time during the life of the application.

The `DB->get_partition_keys()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### partsp

The `DB->get_partition_keys()` method returns number of partitions in the partsp parameter.

#### keysp

The keysp parameter will be set to the array of partitioning keys.

### Class

DB

### See Also

Database and Related Methods, DB->set_partition()

Prev | Up | Next
DB->get_partition_dirs() | Home | DB->get_pagesize()